{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "子测试实体",
    "lanResTag" : "DE.LNAME.SUBTEST2",
    "lanResType" : "DE.LNAME",
    "name" : "实体逻辑名称（DE.LNAME.*）[SUBTEST2]",
    "refFlag" : true
  },
  "caption" : "子测试实体",
  "codeName" : "SubTest2RedirectView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2RedirectView.json",
  "funcViewMode" : "REDIRECTVIEW",
  "getGetDataPSAppDEAction" : {
    "modelref" : true,
    "id" : "Get"
  },
  "name" : "SubTest2RedirectView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SubTest2.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSControls" : [ {
    "getCapPSLanguageRes" : {
      "defaultContent" : "子测试实体",
      "lanResTag" : "DE.LNAME.SUBTEST2",
      "lanResType" : "DE.LNAME",
      "name" : "实体逻辑名称（DE.LNAME.*）[SUBTEST2]",
      "refFlag" : true
    },
    "caption" : "子测试实体",
    "codeName" : "RedirectViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SubTest2.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "RedirectView",
  "getPSDEViewId" : "6d1b5ea64e5ca383d6c7326fc23f88d3",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEREDIRECTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SubTest2.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "getRedirectPSAppViewRefs" : [ {
    "name" : "SUBTEST2:EDITVIEW",
    "realOpenMode" : "POPUPMODAL",
    "realTitle" : "子测试实体编辑视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "子测试实体编辑视图",
      "lanResTag" : "PAGE.TITLE.SUBTEST2.EDITVIEW",
      "lanResType" : "PAGE",
      "name" : "界面文本（PAGE.*）[TITLE.SUBTEST2.EDITVIEW]",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2EditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "SUBTEST2:EDITVIEW:GROUP",
    "realOpenMode" : "POPUPMODAL",
    "realTitle" : "条件组编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2CondGroupEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "SUBTEST2:EDITVIEW:SINGLE",
    "realOpenMode" : "POPUPMODAL",
    "realTitle" : "单个条件编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2SingleCondEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITVIEW",
    "realOpenMode" : "POPUPMODAL",
    "realTitle" : "子测试实体编辑视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "子测试实体编辑视图",
      "lanResTag" : "PAGE.TITLE.SUBTEST2.EDITVIEW",
      "lanResType" : "PAGE",
      "name" : "界面文本（PAGE.*）[TITLE.SUBTEST2.EDITVIEW]",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2EditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITVIEW:GROUP",
    "realOpenMode" : "POPUPMODAL",
    "realTitle" : "条件组编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2CondGroupEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITVIEW:SINGLE",
    "realOpenMode" : "POPUPMODAL",
    "realTitle" : "单个条件编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2SingleCondEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "title" : "子测试实体数据重定向视图",
  "getTitlePSLanguageRes" : {
    "defaultContent" : "子测试实体数据重定向视图",
    "lanResTag" : "PAGE.TITLE.SUBTEST2.REDIRECTVIEW",
    "lanResType" : "PAGE",
    "name" : "界面文本（PAGE.*）[TITLE.SUBTEST2.REDIRECTVIEW]",
    "refFlag" : true
  },
  "getTypePSAppDEField" : {
    "name" : "CONDTYPE",
    "codeName" : "CondType"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEREDIRECTVIEW",
  "enableCustomGetDataAction" : false,
  "enableDP" : true,
  "enableWorkflow" : true,
  "redirectView" : true,
  "modelid" : "0a410083ffdea05360c1b7de44f627cf",
  "modeltype" : "PSAPPDEVIEW"
}